Bug 190175 - Review Request: p0rn-comfort - Support programs for browsing image-gallery sites
Summary: Review Request: p0rn-comfort - Support programs for browsing image-gallery sites
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-04-28 14:41 UTC by Andreas Thienemann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-22 20:22:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andreas Thienemann 2006-04-28 14:41:44 UTC
Spec URL: http://home.bawue.de/~ixs/p0rn-comfort/p0rn-comfort.spec
SRPM URL: http://home.bawue.de/~ixs/p0rn-comfort/p0rn-comfort-0.0.4-1.src.rpm
Description:
p0rn-comfort consists of several support programs for browsing
image-gallery sites.  It includes a proxy which enables blacklisting
of thumbnail sites on-the-fly.  It also supports queueing of entire
pages for download and fetching them at a later time.  Queuing can
either be done manually (directly from your browser) or by an
automated download script which can also follow links between
different galleries.

This tool is quite useful as well for browsing non-pr0n galleries such as deviantart.

Comment 1 Jason Tibbitts 2006-05-09 01:30:57 UTC
I know I promised on IRC to look into this some time ago; sorry it took me so
long to get to it.

Some might be put off by the name, but this is really just a simple web proxy
with some interesting features relating to automated fetching of linked images.

I'm inclined to approve, but first I'd like to ask if you've given any thought
to moving those executables which aren't intended to be run to the user
(p0rn-db*, perhaps not p0rn-dbdump) to a directory under /usr/lib.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible; license text is included in the package.
* source files match upstream:
   08be31c527f7577765c4721d1bdf02f7  p0rn-comfort-0.0.4.tar.gz
   08be31c527f7577765c4721d1bdf02f7  p0rn-comfort-0.0.4.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
O %check is not present; no test suite upstream.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

Comment 2 Andreas Thienemann 2006-05-21 18:21:38 UTC
H tibbs,

Updated package at http://home.bawue.de/~ixs/p0rn-comfort/
I've incorporated your idea of moving some files out of %{_bindir} and put them
into %{_libexecdir}/%{_name} as decided on IRC.

I also fixed the issue with p0rn-proxy, so it could be checked in.
On IRC you said, you already approved the package, but reading your bugzilla
entry, that's not very clear.


Comment 3 Jason Tibbitts 2006-05-22 19:04:19 UTC
Ahh, bugzilla's back.  Everything looks fine; go ahead and check in.

APPROVED

Note, however, that I think you may need to patch up p0rn-dbrestore and
p0rn-dbdump to be able to find the things in /usr/libexec/p0rn-comfort.


Comment 4 Andreas Thienemann 2006-05-22 20:22:24 UTC
Thx for the review -> Nextrelease


Note You need to log in before you can comment on or make changes to this bug.